package _VisualDVM.Visual.Windows;
import _VisualDVM.Global;
import _VisualDVM.GlobalData.Tasks.RunTask.RunTask;
public class RunTasksComparisonForm extends TasksComparisonForm<RunTask> {
    public RunTasksComparisonForm(ComparisonForm<RunTask> slave_in) {
        super(RunTask.class, slave_in);
    }
    @Override
    public Object getDefaultCurrentObject() {
        return Global.mainModule.getDb().runTasks.getUI().getCurrent();
    }
    @Override
    protected TasksComparisonState getFirstState() {
        return TasksComparisonState.RunOutput;
    }
    @Override
    protected TasksComparisonState[] getForbiddenStates() {
        return new TasksComparisonState[]{
                TasksComparisonState.CompilationOutput,
                TasksComparisonState.CompilationErrors
        };
    }
    @Override
    protected String getTextByTab() {
        switch (status) {
            case RunOutput:
                return object.getOutput();
            case RunErrors:
                return object.getErrors();
            case Sts:
                return object.getLocalStsText();
            default:
                return "";
        }
    }
}
